unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, AdvImage, FileCtrl, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    StatusBar1: TStatusBar;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    FileListBox1: TFileListBox;
    AdvImage1: TAdvImage;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Bevel3: TBevel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    procedure LoadImage(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    Procedure DoHint(Sender : TObject);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.DFM}
Procedure TForm1.DoHint(Sender: TObject);
begin
     StatusBar1.SimpleText := Application.Hint;
end;

procedure TForm1.LoadImage(Sender: TObject);
begin
AdvImage1.loadImage(FileListBox1.FileName);
Label6.Caption := FileListBox1.FileName;
Label4.Caption := IntToStr(AdvImage1.Picture.Width);
Label3.Caption := IntToStr(AdvImage1.Picture.Height);
AdvImage1.Hint := 'Picture: ' + FileListBox1.Filename;
Button2.Enabled := True;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
Application.Terminate;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
AboutBox.Visible := True;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     Application.OnHint := DoHint;
     FileListBox1.FileName := ParamStr(1);
     AdvImage1.LoadImage(FileListBox1.FileName);
     If ParamCount > 0 then begin
     Label6.Caption := FileListBox1.FileName;
     Label4.Caption := IntToStr(AdvImage1.Picture.Width);
     Label3.Caption := IntToStr(AdvImage1.Picture.Height);
     Button2.Enabled := True;
     end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Form3.Visible := True;
Form3.AdvImage1.LoadImage(FileListBox1.Filename);
Form3.AdvImage1.Height := AdvImage1.Picture.Height;
Form3.AdvImage1.Width  := AdvImage1.Picture.Width;
Form3.Caption := FileListBox1.Filename;
end;

end.
